## GomResourceGroup GomResourceGroup |

## Functions

#define | GOM_RESOURCE_GROUP_CONST()
GomResourceGroup * | gom_resource_group_new ()
gboolean | gom_resource_group_append ()
gboolean | gom_resource_group_write_sync ()
void | gom_resource_group_write_async ()
gboolean | gom_resource_group_write_finish ()
gboolean | gom_resource_group_delete_sync ()
void | gom_resource_group_delete_async ()
gboolean | gom_resource_group_delete_finish ()
void | gom_resource_group_fetch_async ()
gboolean | gom_resource_group_fetch_finish ()
gboolean | gom_resource_group_fetch_sync ()
guint | gom_resource_group_get_count ()
GomResource * | gom_resource_group_get_index ()
const gchar * | gom_resource_group_get_m2m_table ()

## Properties

guint | count | Read / Write / Construct Only
GomFilter * | filter | Read / Write / Construct Only
gboolean | is-writable | Read / Write / Construct Only
gchar * | m2m-table | Read / Write / Construct Only
GType * | m2m-type | Read / Write / Construct Only
GomRepository * | repository | Read / Write / Construct Only
GType * | resource-type | Read / Write / Construct Only
GomSorting * | sorting | Read / Write / Construct Only

## Object Hierarchy

        GObject
        ╰── GomResourceGroup

## Description

## Functions

### GOM_RESOURCE_GROUP_CONST()

    #define GOM_RESOURCE_GROUP_CONST(obj)      (G_TYPE_CHECK_INSTANCE_CAST ((obj), GOM_TYPE_RESOURCE_GROUP, GomResourceGroup const))

### gom_resource_group_new ()

    GomResourceGroup *
    gom_resource_group_new (GomRepository *repository);

### gom_resource_group_append ()

    gboolean
    gom_resource_group_append (GomResourceGroup *group,
                               GomResource *resource);

### gom_resource_group_write_sync ()

    gboolean
    gom_resource_group_write_sync (GomResourceGroup *group,
                                   GError **error);

### gom_resource_group_write_async ()

    void
    gom_resource_group_write_async (GomResourceGroup *group,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

### gom_resource_group_write_finish ()

    gboolean
    gom_resource_group_write_finish (GomResourceGroup *group,
                                     GAsyncResult *result,
                                     GError **error);

### gom_resource_group_delete_sync ()

    gboolean
    gom_resource_group_delete_sync (GomResourceGroup *group,
                                    GError **error);

### gom_resource_group_delete_async ()

    void
    gom_resource_group_delete_async (GomResourceGroup *group,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

### gom_resource_group_delete_finish ()

    gboolean
    gom_resource_group_delete_finish (GomResourceGroup *group,
                                      GAsyncResult *result,
                                      GError **error);

### gom_resource_group_fetch_async ()

    void
    gom_resource_group_fetch_async (GomResourceGroup *group,
                                    guint index_,
                                    guint count,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

### gom_resource_group_fetch_finish ()

    gboolean
    gom_resource_group_fetch_finish (GomResourceGroup *group,
                                     GAsyncResult *result,
                                     GError **error);

### gom_resource_group_fetch_sync ()

    gboolean
    gom_resource_group_fetch_sync (GomResourceGroup *group,
                                   guint index_,
                                   guint count,
                                   GError **error);

Fetches a sequence of resources from the group synchronously. This must be called from an adapter read callback using `gom_adapter_queue_read()`.

#### Parameters

group | A GomResourceGroup. | [in]
index_ | The first index to fetch. | [in]
count | The number of indexes to fetch. | [in]
error | A location for a GError, or `NULL`. | [out]

#### Returns

`TRUE` if successful; otherwise `FALSE` and `error` is set.

### gom_resource_group_get_count ()

    guint
    gom_resource_group_get_count (GomResourceGroup *group);

### gom_resource_group_get_index ()

    GomResource *
    gom_resource_group_get_index (GomResourceGroup *group,
                                  guint index_);

Fetches the resource at `index_` . You must have loaded that resource by calling `gom_resource_group_fetch_async()` with a range inclusive of the index.

#### Parameters

group | A GomResourceGroup. | [in]
index_ | The index of the resource. | [in]

#### Returns

A GomResource.

[transfer none]

### gom_resource_group_get_m2m_table ()

    const gchar *
    gom_resource_group_get_m2m_table (GomResourceGroup *group);

## Types and Values

## Property Details

### The `“count”` property

      “count”                    guint

The size of the resource group.

Flags: Read / Write / Construct Only

Default value: 0

### The `“filter”` property

      “filter”                   GomFilter *

The query filter.

Flags: Read / Write / Construct Only

### The `“is-writable”` property

      “is-writable”              gboolean

Whether the group contains resources to be written.

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“m2m-table”` property

      “m2m-table”                gchar *

The table used to join a Many to Many query.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“m2m-type”` property

      “m2m-type”                 GType *

The type used in the m2m-table join.

Flags: Read / Write / Construct Only

Allowed values: GomResource

### The `“repository”` property

      “repository”               GomRepository *

The repository for object storage.

Flags: Read / Write / Construct Only

### The `“resource-type”` property

      “resource-type”            GType *

The type of resources contained.

Flags: Read / Write / Construct Only

Allowed values: GomResource

### The `“sorting”` property

      “sorting”                  GomSorting *

The query sorting.

Flags: Read / Write / Construct Only